%global npmname minimatch
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist lru-cache sigmund

Summary: a glob matcher in javascript 
Name: nodejs-%{npmname}
Version: 0.2.9
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/isaacs/minimatch
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Requires: nodejs-lru-cache >= 2.0.0
Requires: nodejs-sigmund >= 1.0.0
Provides: nodejs-%{npmname} = %{version}

%description
A minimal matching utility.

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr minimatch.js .travis.yml package.json %{buildroot}/%{npminstdir}

# Setup the dependancies
cd %{buildroot}/%{npminstdir}
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

# Setup Binaries

%files
%doc LICENSE README.md
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.2.9-1
- Initial build using nodejs spec template

